import { OnInit } from '@angular/core';
import { QueryAreaComponent } from './query-area/query-area.component';
import { NgxQueryEditorAbstractService } from './ngx-query-editor.abstract.service';
import { Observable } from 'rxjs';
import { QueryObject, QueryResult, SqlServerModel } from './ngx-query-editor.models';
import { DbExplorerComponent } from './db-explorer/db-explorer.component';
export declare class NgxQueryEditorComponent implements OnInit {
    private queryEditorService;
    result: any[];
    query: QueryObject;
    queryResult: QueryResult;
    serverSchema$: Observable<any[]>;
    serverModel$: Observable<SqlServerModel>;
    sqlServerId: string;
    queryArea: QueryAreaComponent;
    dbExplorer: DbExplorerComponent;
    constructor(queryEditorService: NgxQueryEditorAbstractService);
    ngOnInit(): void;
    handleAction($event: any): void;
    onNewQueryTab(dbName: string): void;
    onStateEmitter(state: boolean): void;
    execute(): void;
}
