export interface QueryObject {
    database: string;
    queryBody: string;
}
export interface QueryResult {
    result: any[];
    schema: string[];
}
export interface ServerNode {
    name: string;
    type: ServerNodeType;
    children?: ServerNode[];
}
export declare type ServerNodeType = 'folder' | 'table' | 'index' | 'view' | 'column' | 'trigger' | 'database' | 'server';
export interface Tab {
    tabDatabase: string;
    tabEditorModel: any;
    tabModelUri: any;
}
export interface SqlServerModel {
    id: string;
    userId?: string;
    name?: string;
    type?: string;
    serverAddress?: string;
    port?: string;
    username?: string;
    password?: string;
}
