import { OnInit } from '@angular/core';
import { Tab } from '../ngx-query-editor.models';
import { FormControl } from '@angular/forms';
import { MatTabChangeEvent } from '@angular/material';
export declare class QueryAreaComponent implements OnInit {
    editor: any;
    editorOptions: {
        theme: string;
        language: string;
    };
    code: string;
    tabs: Tab[];
    tabNames: string[];
    selected: FormControl;
    selectedDbName: string;
    emptyState: boolean;
    ngOnInit(): void;
    addTab(dbName: string): void;
    setEmptyState(state: boolean): void;
    private addTabToMonacoEditor;
    onChangeTab(event: MatTabChangeEvent): void;
    onCloseTab(index: number): void;
    private changeTab;
    getCode(): string;
}
