import { QueryObject, QueryResult, SqlServerModel } from './ngx-query-editor.models';
import { Observable } from 'rxjs';
export declare abstract class NgxQueryEditorAbstractService {
    queryExecuted: boolean;
    abstract executeQuery(query: QueryObject): Observable<QueryResult>;
    abstract getCollectionSchema(collectionName: string, dbName: string): Observable<any[]>;
    abstract getSqlServerById(sqlServerId: string): Observable<SqlServerModel>;
}
